#!/usr/bin/ruby
#
# Simple ruby script to count the number of scores in each
# category (good/bad).  Expects one floating point number
# per line as output by spamprobe score.
#

spams = 0
goods = 0
STDIN.each do |score|
  if score.to_f >= 0.9
    spams += 1
  else
    goods += 1
  end
end
total = spams + goods
pct = spams.to_f / (spams.to_f + goods.to_f) * 100.0
printf("GOOD %10d   SPAM %10d  TOTAL  %10d  PCT %10.2f\n", goods, spams, total, pct)
